Submit a ticketCall us

ebook60.pngHow to be a Cisco® ASA ace

Our eBook, Thou Shalt Not Pass…I Think?! can help you overcome the challenges of monitoring and managing Cisco ASA firewalls. This eBook is a great read if you’ve been frustrated with monitoring firewalls, managing ACL configs, and troubleshooting VPN connections.

Get your free eBook.

Home > Success Center > Orion Platform > Core 2017.3 (NPM 12.2)-Error running the offline WPM 2.2.1 installer

Core 2017.3 (NPM 12.2)-Error running the offline WPM 2.2.1 installer

Updated April 19, 2018

Overview

When you download the SolarWinds Web Performance Monitor (WPM) 2.2.1 offline installer from the Customer Portal and run the installer on your Orion Platform running Core 2017.1 modules, the installer fails with the following error: 

ERROR (null) SolarWinds.Administration.Installer.InstallerFacade - This version of 
installer is not supported on current environment. Specified product/component 
[NPM:12.1.5300.10021] version is lower in this installer than currently installed 
on the system. Please download latest available offline installer or use online 
installer.
2018-03-19 17:35:42,233 [18] ERROR (null) SolarWinds.Administration.Installer.
ErrorHandler.HttpResponseAdapter - Unexpected error occured.
System.Exception: This version of installer is not supported on current environment. 
Specified product/component [NPM:12.1.5300.10021] version is lower in this installer 
than currently installed on the system. Please download latest available offline 
installer or use online installer.
   at SolarWinds.Administration.Installer.InstallerFacade.GetProductsToInstall()
   at SolarWinds.Administration.Installer.InstallerFacade.CalculateInstallAndUpdateState
   (CancellationToken token)
   at SolarWinds.Administration.Installer.WebApi.InstallEngineController.
   <GetInstallAndUpdateState>b__7_0()
   at SolarWinds.Administration.Installer.ErrorHandler.HttpResponseAdapter.
   ExecuteFunction(Func`1 function, HttpRequestMessage originalRequest)

 

Error Messsage.jpg

Environment

  • WPM 2.2.1 installed on top of Core 2017.3 modules

Cause 

The WPM 2.2.1 offline installer is intended for Core 2017.1

Resolution

Download and run the latest Core 2017.3 module offline installer or use an online installer such as NPM 12.2.

 

 

Last modified

Tags

Classifications

Public